nsigcensus.h File Reference

Deals with forming a census of splitting surface signatures. More...

`#include <list>`
`#include "regina-core.h"`
`#include "split/nsignature.h"`
`#include "split/nsigisomorphism.h"`

## Classes

class | regina::NSigCensus
| A utility class used by formSigCensus(). More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef std::list < NSigPartialIsomorphism * > | regina::NSigIsoList
| A list of partial isomorphisms on splitting surface signatures. More...
typedef void(* | regina::UseSignature )(const NSignature &, const NSigIsoList &, void *)
| A routine used to do arbitrary processing upon a splitting surface signature and its automorphisms. More...

## Functions

REGINA_API unsigned long | regina::formSigCensus (unsigned order, UseSignature use, void *useArgs=0)
| Forms a census of all splitting surface signatures of the given order. More...

## Detailed Description

Deals with forming a census of splitting surface signatures.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).